[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fedora 11 Update: gnome-libs-1.4.2-14.fc11



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2009-4957
2009-05-14 02:31:40
--------------------------------------------------------------------------------

Name        : gnome-libs
Product     : Fedora 11
Version     : 1.4.2
Release     : 14.fc11
URL         : http://www.gnome.org/
Summary     : The main GNOME1 libraries
Description :
GNOME (GNU Network Object Model Environment) is a user-friendly set of GUI
applications and desktop tools to be used in conjunction with a window manager
for the X Window System. The gnome-libs package includes libraries that are
needed to run GNOME 1 applications.

--------------------------------------------------------------------------------
Update Information:

This is a cumulative bugfix and clean-up update for the legacy Gnome-1
libraries.    For end users, library linkage is improved (libraries are linked
against the libraries they need and only those libraries), resulting in less
bloat and less work for the run-time linker to do when applications using these
libraries are used. Documentation is all now encoded as UTF-8.    For
developers, inter-package dependencies are fixed to pull in all of the necessary
requirements, and ensure that these still work in a multilib environment with
some 32- and 64-bit development packages present. Fedora packagers can safely
assume that %{_isa} provides are available for all libraries in the stack, in
all releases where %{_isa} is defined.
--------------------------------------------------------------------------------
ChangeLog:

* Thu Apr  9 2009 Paul Howarth <paul city-fan org> 1:1.4.2-14
- Use an alternative approach to rpath-fixing - hacking the supplied libtool
  rather than trying to use the system one
- Additional %{?_isa} devel package dependencies now available
- Clean up library linkage, linking libraries with the libs they need and only
  those libs
- Fix config.guess and config.sub to support build on ppc64
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #478357 - imlib-config --libs specifies more than enough libraries
        https://bugzilla.redhat.com/show_bug.cgi?id=478357
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update gnome-libs' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]